<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:glanbiaplc="http://glanbiaplc.com/xbrl/2023" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr="http://www.xbrl.org/dtr/type/2020-01-21" targetNamespace="http://glanbiaplc.com/xbrl/2023" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400SRMCBHVMSKJS84-2023-12-30_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400SRMCBHVMSKJS84-2023-12-30_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400SRMCBHVMSKJS84-2023-12-30_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="635400SRMCBHVMSKJS84-2023-12-30_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="ProfitOrLoss" roleURI="http://glanbiaplc.com/xbrl/2023/roles/ProfitOrLoss">
        <link:definition>01 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://glanbiaplc.com/xbrl/2023/roles/StatementOfComprehensiveIncome">
        <link:definition>02 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://glanbiaplc.com/xbrl/2023/roles/StatementOfFinancialPosition">
        <link:definition>03 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://glanbiaplc.com/xbrl/2023/roles/StatementOfChangesInEquity">
        <link:definition>04 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://glanbiaplc.com/xbrl/2023/roles/StatementOfCashFlows">
        <link:definition>05 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlowsParenthetical" roleURI="http://glanbiaplc.com/xbrl/2023/roles/StatementOfCashFlowsParenthetical">
        <link:definition>06 - Statement of cash flows (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://glanbiaplc.com/xbrl/2023/roles/NotesAndMandatoryItems">
        <link:definition>07 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://glanbiaplc.com/xbrl/2023/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="glanbiaplc_GroupIncomeStatementAxis" xbrli:periodType="duration" abstract="true" name="GroupIncomeStatementAxis" nillable="true" xmlns:q1="http://xbrl.org/2005/xbrldt" substitutionGroup="q1:dimensionItem" type="xbrli:stringItemType" />
  <xs:element id="glanbiaplc_PreExceptionalMember" xbrli:periodType="duration" abstract="true" name="PreExceptionalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="glanbiaplc_ExceptionalMember" xbrli:periodType="duration" abstract="true" name="ExceptionalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="glanbiaplc_TotalMember" xbrli:periodType="duration" abstract="true" name="TotalMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="glanbiaplc_ProfitOrLossTable" xbrli:periodType="duration" abstract="true" name="ProfitOrLossTable" nillable="true" xmlns:q2="http://xbrl.org/2005/xbrldt" substitutionGroup="q2:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="glanbiaplc_ProfitOrLossLineItems" xbrli:periodType="duration" abstract="true" name="ProfitOrLossLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="glanbiaplc_OperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA" xbrli:balance="credit" xbrli:periodType="duration" name="OperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_ShareCapitalAndSharePremium" xbrli:balance="credit" xbrli:periodType="instant" name="ShareCapitalAndSharePremium" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_ShareCapitalAndSharePremiumMember" xbrli:periodType="duration" abstract="true" name="ShareCapitalAndSharePremiumMember" nillable="true" substitutionGroup="xbrli:item" type="dtr:domainItemType" />
  <xs:element id="glanbiaplc_CostOfShareBasedPayments" xbrli:balance="credit" xbrli:periodType="duration" name="CostOfShareBasedPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_TransferOnExerciseVestingOrExpiryOfShareBasedPayments" xbrli:balance="credit" xbrli:periodType="duration" name="TransferOnExerciseVestingOrExpiryOfShareBasedPayments" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_AcquisitionOfNCI" xbrli:balance="credit" xbrli:periodType="duration" name="AcquisitionOfNCI" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_TransferToGroupIncomeStatement" xbrli:balance="credit" xbrli:periodType="duration" name="TransferToGroupIncomeStatement" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_RemeasurementOfPutOptionLiability" xbrli:balance="credit" xbrli:periodType="duration" name="RemeasurementOfPutOptionLiability" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="CashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_ProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="CashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_CashAndCashEquivalentsAcquiredOnAcquisition" xbrli:balance="debit" xbrli:periodType="instant" name="CashAndCashEquivalentsAcquiredOnAcquisition" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_ReimbursementOfRebrandingcosts" xbrli:balance="credit" xbrli:periodType="duration" name="ReimbursementOfRebrandingcosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_DisposalOfTirlanLimited" xbrli:balance="credit" xbrli:periodType="duration" name="DisposalOfTirlanLimited" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_ProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_ProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_CashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="CashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="glanbiaplc_DescriptionOfAccountingPolicyForChangeInPresentationCurrency" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForChangeInPresentationCurrency" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="glanbiaplc_DescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="glanbiaplc_DescriptionOfAccountingPolicyForIncomeStatementFormat" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForIncomeStatementFormat" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="glanbiaplc_DescriptionOfAccountingPolicyForInvestmentsInEquityInstruments" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForInvestmentsInEquityInstruments" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="glanbiaplc_DisclosureOfExceptionalItems" xbrli:periodType="duration" name="DisclosureOfExceptionalItems" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
  <xs:element id="glanbiaplc_DisclosureOfRetainedEarnings" xbrli:periodType="duration" name="DisclosureOfRetainedEarnings" nillable="true" substitutionGroup="xbrli:item" type="dtr:textBlockItemType" />
</xs:schema>